/* Arduino MinPrintf Library
 * Copyright (C) 2014 by William Greiman
 *
 * This file is part of the Arduino MinPrintf Library
 *
 * This Library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This Library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Arduino MinPrintf Library.  If not, see
 * <http://www.gnu.org/licenses/>.
 */
#ifndef MinPrintf_h
#define MinPrintf_h
#include <Arduino.h>

// version as yyyymmdd
#define MIN_PRINTF_VERSION 20140419

// If NEW_LINE_IS_CRLF is non-zero, '\n' in the format is converted to CRLF.
#define NEW_LINE_IS_CRLF 1

// If CHAR_AND_STRING is non-zero, the 'c' and 's' conversions are supported.
#define CHAR_AND_STRING 1

class MinPrintf {
 public:
  MinPrintf(Print* pr) : m_pr(pr) {}
  void printf(const char* format, ... );
  void printf(const __FlashStringHelper* format, ... );
 private:
  void vprintf(bool flash, const char* format, va_list ap);
  Print* m_pr;
};
#endif  // MinPrintf_h