// How to print data types included in MinPrintf.
#include <MinPrintf.h>

// MiniPrintf object for Serial.
MinPrintf mpr(&Serial);

void setup() {
  Serial.begin(9600);
  
  // 8-bit types.
  char c = 'C';
  uint8_t u8 = 234;  // unsigned char
  int8_t i8 = -123;  // signed char
  
  mpr.printf(F("char: %c, uint8_t: %u, int8_t: %d\n"), c, u8, i8);
  
  // 16-bit types
  uint16_t u16 = 45678;  // unsigned short or unsigned int
  int16_t i16 = -12345;  // short or int
  
  mpr.printf("uint16_t: %u, int16_t: %d\n", u16, i16);
  
  // 32-bit types
  uint32_t u32 = 23456789UL;  // unsigned long
  int32_t i32 = -987654321L;  // signed long

  // use l (ell) to indicate long
  mpr.printf(F("uint32_t: %lu, int32_t: %ld\n"), u32, i32);
  
  char str[] = "test string";
  
  mpr.printf("%% escape followed by a string: %s\n", str);
}
void loop() {}