#include <SdFat.h>
#include <MinPrintf.h>

const uint8_t SD_CS_PIN = 10;

SdFat sd;
SdFile file;

// SdFat printf object.
MinPrintf sdpr(&file);

void setup() {
  Serial.begin(9600);
  Serial.println(F("Type any character to start"));
  while (!Serial.available());
  if (!sd.begin(SD_CS_PIN)) sd.initErrorHalt();
  if (!file.open("SDFAT.CSV", O_WRITE|O_CREAT)) sd.errorHalt("open");
  
  sdpr.printf("point,micros,analog1,analog5\n");
  
  for (uint8_t i = 0; i < 100; i++) {
    sdpr.printf(F("%u,%lu,%d,%d\n"), i, micros(), analogRead(1), analogRead(5));
  }
  file.close();
  Serial.println("Done!");
}
void loop() {}