#include <SD.h>
#include <MinPrintf.h>

const uint8_t SD_CS_PIN = 10;

File file;

// SD printf object.
MinPrintf sdpr(&file);

void setup() {
  Serial.begin(9600);
  Serial.println(F("Type any character to start"));
  while (!Serial.available());
  if (!SD.begin(SD_CS_PIN)) {
    Serial.println("SD.begin failed");
    while(1);
  }
  file = SD.open("SDLIB.CSV", FILE_WRITE);
  
  if (!file) {
    Serial.println("SD.open failed");
    while(1);
  }
  
  sdpr.printf("point,micros,analog1,analog5\n");
  
  for (uint8_t i = 0; i < 100; i++) {
    sdpr.printf(F("%u,%lu,%d,%d\n"), i, micros(), analogRead(1), analogRead(5));
  }
  file.close();
  Serial.println("Done!");
}
void loop() {}